/*
 * @Author: error: error: git config user.name & please set dead value or install git && error: git config user.email & please set dead value or install git & please set dead value or install git
 * @Date: 2023-08-15 17:33:37
 * @LastEditors: wenjie 1454560336@qq.com
 * @LastEditTime: 2024-06-27 11:26:38
 * @FilePath: \admin-manage\src\api\order.js
 * @Description: 
 * 
 * Copyright (c) 2023 by ${git_name_email}, All Rights Reserved. 
 */

import request from '@/utils/request'

// 平台订单
export function getOrderList(data) {
  return request({
    url: '/springbatchservice/order/platform/search',
    method: 'post',
    data
  })
}

// 订单详情
export function orderDetail(data) {
  return request({
    url: '/springbatchservice/order/platform/orderDetail/'+data,
    method: 'get',
  })
}

// 获取退款分账信息
export function transfer(params) {
  return request({
    url: '/springbatchservice/pay/transfer/'+params,
    method: 'get',
  })
}

// // 退款审核
// export function auditRefund(data) {
//   return request({
//     url: '/springbatchservice/pay/platformRefund',
//     method: 'post',
//     data
//   })
// }

// 退款审核
export function auditRefund(data) {
  return request({
    url: '/springbatchservice/pay/auditRefund',
    method: 'post',
    data
  })
}

// 核销券
export function getCouponLog(params) {
  return request({
    url: '/zswl-cloud-shop/goodsCouponLog/search',
    method: 'get',
    params
  })
}


// 提现列表
export function withdrawList(data) {
  return request({
    url: '/springbatchservice/pay/account/withdrawals/platform/list',
    method: 'post',
    data
  })
}


// 提现
export function withdrawals(data) {
  return request({
    url: '/springbatchservice/pay/account/withdrawalsPlatform',
    method: 'post',
    data
  })
}



// 查询提现
export function getDetail(data) {
  return request({
    url: '/springbatchservice/pay/account/platformDetail',
    method: 'post',
    data
  })
}

// 分账
export function subOrdersConfirm(data) {
  return request({
    url: '/springbatchservice/pay/subOrdersConfirm',
    method: 'post',
    data
  })
}

// 首页订单统计
// /order/platform/count
export function orderCount(data) {
  return request({
    url: '/springbatchservice/order/platform/count',
    method: 'post',
    data
  })
}

// 获取出游信息
// /goodsReserve/getReserve
export function getReserve(orderNo) {
	return request({
		url: '/zswl-cloud-shop/goodsReserve/getReserve?orderNo='+orderNo,
	})
}
